library Deleon;

uses
  windows,
  sysutils,
  plug32;

function get_plugincount: word; export;
begin
  Result := 2;
end;{ func }

procedure get_plugindesc(plugid: word; pplg: pplgdesc); export;
begin
  case( plugid )of
  0: begin
      pplg^.plgto    := ptMainMenu;
      pplg^.plgtype  := ptInfo;
      pplg^.plgpath  := '\Plugins\demo plugin';
      pplg^.funcname := 'xxx';
     end;
  1: begin
      pplg^.plgto    := ptTableMenu;
      pplg^.plgtype  := ptSetRecs;
      pplg^.plgpath  := '\Plugins\UpFirst (demo plugin)';
      pplg^.funcname := 'set_upfirst';
     end;
  end;{ case }
  pplg^.dllname := 'deleon.dll';
end;{ func }

function set_upfirst(
   FldId     : Integer;
   FldNum    : Word;
   pFlds     : pFldArray;
   pVals     : pVariant
   ): ISetRec;
var
 S   : ShortString;
begin
 Result := srEdit;
 if( pFlds^[FldId] = ftString )then
 begin
  try
   if VarIsArray(pVals^)and
      not VarIsNull(pVals^[FldId])then
   begin
    S := pVals^[FldId];
    if Length( S )> 0 then
    S := ANSIUpperCase(S[1]) + AnsiLowerCase(copy(S, 2, Length(S)-1));
    pVals^[FldId] := S;
   end;{ if }
  except
  end;{ exc }
 end;{ if }
end;{ func }

exports
 get_plugincount name 'get_plugincount',
 get_plugindesc  name 'get_plugindesc',
 set_upfirst     name 'set_upfirst' Resident;

begin
end.
